.product__origin {
    z-index: 100;
    position: absolute;
    top: calc( -17.5rem / 2 + 20% );
    left: 0;
    width: 5rem;
    height: 5rem;
    -webkit-animation: var(--animation-fadeIn);
    animation: var(--animation-fadeIn);  
}

.product__title {
    font-family: var(--font-family-script);
    font-weight: normal;
}

.product__subtitle {
    font-size: var(--font-size-h4);
    margin-top: 0;
}

.product__image {
    width: 17.5rem;
    display: block;
    margin: calc( 17.5rem / 2 - 20% ) auto 0 auto;
}

.product__image:after {
    content: '';
    z-index: -1;
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 80%;
    background-color: var(--color-neutral);
}

.product__image:before {
    content: '';
    position: absolute;
    background-color: var(--color-neutral);
    border-radius: 100%;
    top: calc( -17.5rem / 2 + 20% );
    width: 100%;
    height: 17.5rem;
}

@media screen and (min-width: 30rem) {
    .product__image {
        width: 22rem;
        margin: calc( 22rem / 2 - 20% ) auto 0 auto;
    }

    .product__image:before {
        top: calc( -22rem / 2 + 20% );
        height: 22rem;
    }
}

.product .grid .grid__column:nth-of-type(2) {
    display: flex;
    flex-direction: column;
    gap: var(--space-s);
    justify-content: flex-end;
}

@media screen and (min-width: 30rem) {
    .product .grid .grid__column:nth-of-type(2),
    .product .grid .grid__column:nth-of-type(3) {
        width: 30rem;
        max-width: calc( 100vw - 2 * var(--space-l) );
        margin-left: auto;
        margin-right: auto;
    }
}

.product__characteristics {
    margin-top: 0;
}

.product__characteristics ul li {
    margin: var(--space-3xs) 0;
}


.product__shop fieldset {  
    display: flex;
    flex-wrap: wrap;
    column-gap: var(--space-xs);
}   

.product__shop .field {
    width: calc(50% - 0.5 * var(--space-xs));
    display: flex;
    flex-wrap: wrap;
}

.product__shop select,
.product__shop .field label,
.product__shop .field input {
    width: 100%;
}

.product__shop .button {
    margin-top: 0;
    width: 100%;
}

@media screen and (min-width: 60rem) {
    .product .grid .grid__column:nth-of-type(3) {
        max-width: 22rem;
        margin: 0 auto;
    }
}

.product .grid .grid__column:nth-of-type(3) > *:not(:first-child),
.product .grid .grid__column:nth-of-type(4) > *:not(:first-child) {
    margin-top: var(--space-l);
}

.product__nutrients table {
    width: 100%;
}

.product__nutrients td {
    padding: var(--space-td);
    border-bottom: var(--border);
}

.product__nutrients td:nth-of-type(1) {
    font-weight: bold;
}

.product__nutrients td:nth-of-type(2) {
    text-align: right;
}

.product__nutrients__info {
    padding-left: var(--space-2xs);
}

.product__additionalNutrients ul li {
    display: inline;
}

.product__additionalNutrients ul li:not(:last-child):after {
    content: ', ';
}

.product .capitals {
    margin-bottom: var(--space-2xs);
}

.product .capitals + * {
    margin-top: 0;
}

.product__volumes {
	display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.product__volumes li {
    margin: 0.1rem 0.2rem;
}

.product__volumes li em {
	display: block;
    font-size: calc( 0.8 * var(--font-size) );
    padding: 0.1rem 0.3rem;
}

.product__prices,
.product__ingredients ul {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    width: 100%;
}

.product__prices li, 
.product__ingredients ul li {
    display: flex;
    padding: var(--space-td);
    border-bottom: var(--border);
}

.product__prices li span:first-child,
.product__ingredients li > span > span:first-child,
.product__ingredients li > span > span:first-child:empty + .product__ingredients__info {
    font-weight: bold;
}

.product__prices li > span:first-child,
.product__ingredients li > span {
    flex-grow: 1;
}

.product__prices li div:last-child,
.product__ingredients li > span:last-child {
    text-align: right;
}

.product__prices .product__prices__basicprice {
    display: block;
}

.product__nutrients__info,
.product__ingredients li > span > span:first-child:not(:empty) + .product__ingredients__info {
    font-size: var(--font-size-2xs);
    display: block;
}

@media screen and (min-width: 30rem) {
    .product__ingredients__info {
        display: inline;
    }
}

.product__interestingfacts h1,
.product__interestingfacts h2,
.product__interestingfacts h3:not(.capitals),
.product__interestingfacts h4,
.product__interestingfacts h5 {
    font-size: var(--font-size);
}